<div class="login-page">
  <div class="login-main">
    <div class="login-main-in">
      <aside class="login-left col-sm-8">
        <div class="login-left-in">
          <figure>
            <a href="#">
              <img src="assets/images/logo.png" alt="" />
            </a>
          </figure>
          <form #login="ngForm" (submit)="onLoginClick(login.value)">
            <div class="form-row">
              <input type="text" required ngModel name="userName" placeholder="Username" class="username" #userName="ngModel" />
              <div *ngIf="userName.invalid && (userName.dirty || userName.touched)" class="alert alert-danger">
                <div *ngIf="userName.errors.required">
                  <small> User Name is required </small>
                </div>
              </div>

            </div>
            <div class="form-row">
              <input required type="password" ngModel name="password" placeholder="Password" class="password" #password="ngModel" minlength='6' />
              <div *ngIf="password.invalid && (password.dirty || password.touched)" class="alert alert-danger">
                <div *ngIf="password.errors.required">
                  <small> Password is required </small>
                </div>
                <div *ngIf="password.errors.minlength">
                  <small> Password must be at least 6 characters long </small>
                </div>
              </div>
            </div>
            <div *ngIf="serverError.show" class="alert alert-danger">
              <small> {{ serverError.msg }} </small>
            </div>
            <div class="form-row">
              <input type="submit" [disabled]="login.invalid || isSubmitting" name="submit" />
                <!-- <i *ngIf="isSubmitting" class="fa fa-spinner fa-pulse"></i> Login -->
              <!-- </inpu> -->
            </div>
            <p>
              <img src="assets/images/forgot-icon.png" alt="" /> Forgot password?</p>
          </form>
          <div class="copy-right">Reitzindia &copy; 2017</div>
        </div>
      </aside>
      <aside class="login-right text-center col-sm-4">
        <h1>Fans Crafted
          <br/>to
          <span>Perfection</span>
        </h1>
      </aside>
    </div>
  </div>
</div>

